      Program test

      implicit none

      integer N_iter
      parameter ( N_iter = 100 )
      integer Nmax
      parameter ( Nmax = 17 )
      real*8 phi(0:Nmax+1), phi_old(0:Nmax+1)

      integer mode
      real*8 pi
      real*8 delta, parm, parm_sq
      integer count, ii, jj
      character*1 ctmp

      pi = 4.0d0 * atan( 1.0d0 )
      write(6,*) 'pi = ', pi

      delta = 1.0d0 / ( Nmax + 1 )
      mode = 3
      parm  = delta * mode * pi
      parm_sq = parm * parm

c  Set Up Boundary Condition
      phi( 0 ) = 0
      phi( Nmax+1 ) = 0

      do ii = 1, Nmax
         phi( ii ) = 1
      enddo

c  Start the calculation
      do count = 1, N_iter

         do ii = 0, Nmax+1
            phi_old( ii ) = phi( ii )
         enddo

         write(6,*) 'count = ', count
         do ii = 0, Nmax+1
            write(6,*) ii, ',  ', phi( ii )
         enddo

         do ii = 1, Nmax
            phi( ii ) = ( phi_old( ii-1 ) + phi_old( ii+1 ) )
     &                / ( 2 - parm_sq )
         enddo

      enddo

      end         
